Runtime

## org.eclipse.gmf.runtime.diagram.ui.requests
Class EditCommandRequestWrapper

    java.lang.Object
      org.eclipse.gef.Request
          org.eclipse.gmf.runtime.diagram.ui.requests.EditCommandRequestWrapper

public class EditCommandRequestWrapper
extends Request

Wraps an edit command request in a GEF request.

Constructor Summary
`EditCommandRequestWrapper(IEditCommandRequest editCommandRequest)` Constructs a new request wrapper.
`EditCommandRequestWrapper(IEditCommandRequest editCommandRequest, java.util.Map requestParameters)` Constructs a new request wrapper.
`EditCommandRequestWrapper(java.lang.Object requestType, IEditCommandRequest editCommandRequest)` Constructs a new request wrapper.
`EditCommandRequestWrapper(java.lang.Object requestType, IEditCommandRequest editCommandRequest, java.util.Map requestParameters)` Constructs a new request wrapper.

Method Summary
`IEditCommandRequest` `getEditCommandRequest()` Gets the edit command request.
`java.util.Map` `getExtendedData()` Gets the parameters from the wrapped request.
`void` `setExtendedData(java.util.Map map)` Sets the parameters on the wrapped request.

Methods inherited from class org.eclipse.gef.Request
`getType, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditCommandRequestWrapper

    public EditCommandRequestWrapper(IEditCommandRequest editCommandRequest)

  Constructs a new request wrapper.

Parameters:
  `editCommandRequest` - the edit command request to be wrapped. Must not be `null`.

### EditCommandRequestWrapper

    public EditCommandRequestWrapper(IEditCommandRequest editCommandRequest,
                                     java.util.Map requestParameters)

  Constructs a new request wrapper.

Parameters:
  `editCommandRequest` - the edit command request to be wrapped. Must not be `null`.
  `requestParameters` - custom request parameters

### EditCommandRequestWrapper

    public EditCommandRequestWrapper(java.lang.Object requestType,
                                     IEditCommandRequest editCommandRequest)

  Constructs a new request wrapper.

Parameters:
  `requestType` - the request type
  `editCommandRequest` - the edit command request to be wrapped. Must not be `null`.

### EditCommandRequestWrapper

    public EditCommandRequestWrapper(java.lang.Object requestType,
                                     IEditCommandRequest editCommandRequest,
                                     java.util.Map requestParameters)

  Constructs a new request wrapper.

Parameters:
  `requestType` - the request type
  `editCommandRequest` - the edit command request to be wrapped. Must not be `null`.
  `requestParameters` - custom request parameters

Method Detail

### getEditCommandRequest

    public IEditCommandRequest getEditCommandRequest()

  Gets the edit command request.

  Returns:
    the edit command request

### setExtendedData

    public void setExtendedData(java.util.Map map)

  Sets the parameters on the wrapped request.

### getExtendedData

    public java.util.Map getExtendedData()

  Gets the parameters from the wrapped request.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.